Skip to content

GET Global History.

GET
/api/observability/synthetic_monitor/namespaces/{namespace}/global-history
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/global-history \
--header 'Authorization: <Authorization>'

Returns a time series of critical monitor counts in namespace.

Examples of this operation.

namespace
required
string

Namespace Request namespace.

monitor_type
string

Monitor_type. Monitor type.

start_time
string

Start_time. Start time for requested history.

end_time
string

End_time. End time for requested history (default: current time)

step_size
string

Step_size. Step size for time series aggregation.

A successful response.

Media typeapplication/json
GetGlobalHistoryResponse

Response for global history.

object
items
items

List of history items for global monitor health.

Array<object>
HistoryItem

Object of timestamp and critical monitor count.

object
critical_monitors
critical_monitors

Number of critical monitors.

integer format: int32
timestamp
timestamp

Timestamp of a history item.

number format: double
Examplegenerated
{
"items": [
{
"critical_monitors": 1,
"timestamp": 1
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example